Subject: Re: [PATCH] rtnetlink: Actually use the policy for the IFLA_VF_INFO

From: Daniel Borkmann <[email-masked]>
Date: Thu, 02 Jul 2015 10:34:54 +0200

On 07/01/2015 11:36 AM, Daniel Borkmann wrote:
> Hi Jason,
>
> On 07/01/2015 12:52 AM, Jason Gunthorpe wrote:
>> It turns out the policy was defined but never actually checked,
>> so lets check it.
>>
>> Fixes: ebc08a6f47ee ("rtnetlink: Add VF config code to rtnetlink")
>
> I would argue that the actual commit would be ...
>
> Fixes: c02db8c6290b ("rtnetlink: make SR-IOV VF interface symmetric")
>
> ... since in ebc08a6f47ee, these members were part of ifla_policy[]
> which has been validated (if we ignore the fact that it was NLA_BINARY).
>
> So, commit c02db8c6290b moved it into a nested attribute (IFLA_VF_INFO)
> where we indeed don't do further validation. Imho, we should pass the
> parsed attribute table from nla_parse_nested() down into do_setvfinfo(),
> something like the below; I can give it a test run on my ixgbe.

Sorry for the late reply, something like this looks good from my side.

Thanks,
Daniel